import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:split_remote_config_plugin/split_remote_config_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('split_remote_config_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await SplitRemoteConfigPlugin.platformVersion, '42');
  });
}
